Page MenuHomePhabricator

Implement OOUI "display format" in MediaWiki's HTMLForm
Closed, ResolvedPublic

Description

Implement OOUI "display format" in MediaWiki's HTMLForm. This is necessary to make special pages using HTMLForm (such as Special:PasswordReset) OOUI-enabled.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
Resolvedmatmarex
ResolvedTgr
Declinedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
ResolvedJdforrester-WMF
Resolvedmatmarex
ResolvedTgr
ResolvedEsanders
OpenNone
OpenNone
ResolvedMarkTraceur
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex

Event Timeline

matmarex created this task.Dec 24 2014, 8:39 PM
matmarex updated the task description. (Show Details)
matmarex raised the priority of this task from to High.
matmarex added subscribers: Jdforrester-WMF, matmarex.
MarkTraceur set Security to None.
MarkTraceur added a subscriber: MarkTraceur.

I wouldn't mind working on this, I could use a bit of guidance from someone with HTMLForm experience and someone with OOUI knowledge.

Change 205719 had a related patch set uploaded (by MarkTraceur):
Implement OOUI display format for HTMLForm

https://gerrit.wikimedia.org/r/205719

Change 205720 had a related patch set uploaded (by MarkTraceur):
Use new OOUI display format in most forms

https://gerrit.wikimedia.org/r/205720

Change 205719 merged by jenkins-bot:
Implement OOUI display format for HTMLForm

https://gerrit.wikimedia.org/r/205719

Jdforrester-WMF closed this task as Resolved.May 24 2015, 12:24 PM
Jdforrester-WMF assigned this task to MarkTraceur.
He7d3r added a subscriber: He7d3r.May 25 2015, 1:24 AM

Does this cause any visual changes which might be worth a Notice for users?

It doesn't cause any visible changes by itself, as we haven't switched any actual forms to the new implementation yet. That could use a notice, when it happens. We should send a quick note to wikitech-l that this is available now, though.